Bug 28325 - no USB support in pcmcia install
no USB support in pcmcia install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-19 12:25 EST by Chris Runge
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-28 14:39:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2001-02-19 12:25:00 EST
Wolverine

Install is on a Dell Latitude CPx with a Microsoft Intellimouse Explorer
attached to the USB port. This is using the pcmcia.img boot floppy. The USB
mouse is not available during the install.
Comment 1 Glen Foster 2001-02-21 10:04:20 EST
This defect is considered MUST-FIX for Florence Release-Candidate #2
Comment 2 Brent Fox 2001-02-25 12:12:34 EST
A few questions:
1) Are you using Wolverine?
2) Does it work using the cd-rom install method?
3) Is this an Optical mouse?  We've had some other reports about optical USB
mice not working while non-optical USB mice did work.
Comment 3 Brent Fox 2001-02-25 12:13:27 EST
Duh...nevermind question #1.  You said Wolverine in your first post.
Comment 4 Brent Fox 2001-02-25 12:15:20 EST
Also, does the on-board pointer work on the laptop?  Isn't the CPx the one with
two onboard pointer devices...the touch pad sytle and the eraser-head style?  Do
they work during the install?  I wonder if this has anything to do with it.
Comment 5 Chris Runge 2001-02-25 12:28:18 EST
to answer your questions

- yes, it is an optical mouse (MS Intellimouse Explorer is an optical mouse)
- if I remember correctly the on-board "mice" (touchpad/pointer) did work
correctly, which was how I was able to install

fwiw, I mistakenly used bootnet.img originally instead of pcmcia.img -- while I
wasn't able to get to the 2nd stage of the install, the light on the mouse did
come on indicating that USB was working -- the console also showed the mouse was
recognized for what it was; this did not happen during the pcmcia install which
is why I think usb support is missing from it
Comment 6 Chris Runge 2001-02-25 12:29:22 EST
sorry, I forgot to answer the Q re: cd-rom install. I haven't received the cds
yet so I haven't been able to test this
Comment 7 Glen Foster 2001-02-28 14:39:54 EST
Chris, I put CDs at your desk.

Re-assigning to kernel per pbrown.
Comment 8 Brent Fox 2001-02-28 16:54:55 EST
Somehow the USB module was left off the pcmcia.img file.  ewt says it should be
fixed in the next build.  Brock, can you verify that this is fixed once the
qa0219.0 tree is built?  I have a USB mouse I can send your way.

Note You need to log in before you can comment on or make changes to this bug.